%
% anyremote configuration file for mouse emulation
%

% STATUS stable
% XTEST yes
% SOUND no
% ENV no

GuiAppName=Mouse test
GuiAppBinary=true
GuiAppIcon=mouse.png
GuiAppType=Custom
GuiAppProtocols=AT
GuiAppDesc=Mouse emulation

[Protocol]=AT

(Init)=\
	Include($(CfgDir)/Utils/aliases-at.cfg);\
	Make(var,TwoWayComm,by_value,false);\
	Macro(CHECK_RFCOMM_DEVICE);\
	Make(var,AutoRepeat,by_value,true);

Answer=\
    Make(disconnect);

Cancel=\
    Make(exit);

1=Emulate(mouse,1)
2=Emulate(mouse,2)
3=Emulate(mouse,3)

4=Emulate(mousermove,-10,0)
5=Emulate(mousermove,0,-10)
6=Emulate(mousermove,10,0)

7=Emulate(mouse,4)
8=Emulate(mousermove,0,10)
9=Emulate(mouse,5)

* *=Exec(F="$(TmpDir)/anyrem.hlp";echo "1 - Left Click     2 - CenterClick  3 - RightClick" > $F;echo "4 - Move Left      5 - MoveUp       6 - MoveRight" >> $F;echo "7 - Wheel Up       8 - Move Down    9 - Wheel Down" >> $F;echo "                   0 - Space        # - Left DblClick" >> $F);\
	Macro(SHOW_HELP);
0=Emulate(key,space)
#=Emulate(mouse,1,sleep,1000,mouse,1)

[End]
